# eric7.Plugins.VcsPlugins.vcsMercurial.HgBookmarkRenameDialog

Module implementing a dialog to get the data to rename a bookmark.

### Global Attributes

None

### Classes

HgBookmarkRenameDialog | Class implementing a dialog to get the data to rename a bookmark.

### Functions

None

## HgBookmarkRenameDialog

Class implementing a dialog to get the data to rename a bookmark.

### Derived from

QDialog, Ui_HgBookmarkRenameDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgBookmarkRenameDialog | Constructor
__updateUI | Private slot to update the UI.
getData | Public method to retrieve the entered data.
on_bookmarkCombo_editTextChanged | Private slot to handle changes of the selected bookmark.
on_nameEdit_textChanged | Private slot to handle changes of the bookmark name.

### Static Methods

None

#### HgBookmarkRenameDialog (Constructor)

HgBookmarkRenameDialog(bookmarksList, parent=None)

Constructor

bookmarksList
  list of bookmarks (list of strings)
parent
  reference to the parent widget (QWidget)

#### HgBookmarkRenameDialog.__updateUI

__updateUI()

Private slot to update the UI.

#### HgBookmarkRenameDialog.getData

getData()

Public method to retrieve the entered data.

Return:
  tuple naming the old and new bookmark names (string, string)

#### HgBookmarkRenameDialog.on_bookmarkCombo_editTextChanged

on_bookmarkCombo_editTextChanged(txt)

Private slot to handle changes of the selected bookmark.

txt
  name of the selected bookmark (string)

#### HgBookmarkRenameDialog.on_nameEdit_textChanged

on_nameEdit_textChanged(txt)

Private slot to handle changes of the bookmark name.

txt
  text of the edit (string)

Up